"use strict";
/**
 * 微信支付
 * https://cloud.tencent.com/document/product/1095/51257
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.provider = void 0;
const utils_1 = require("./utils");
const common_1 = require("../../common");
async function getAuthData(dsId) {
    const dsToken = await (0, utils_1.getToken)(dsId);
    const authInfo = dsToken === null || dsToken === void 0 ? void 0 : dsToken.WeixinPay;
    if (!authInfo || !authInfo.MerchantCode) {
        throw new common_1.TCBError('FnError.HTTP.TokenNotAvailable', `无法获取数据源${dsId}对应的微信支付Token信息`, {
            reason: `unable to get Wechat Pay token of datasource ${dsId}`,
        });
    }
    // 公共参数说明
    return {
        subMchId: authInfo.MerchantCode,
        authInfo,
    };
}
exports.provider = {
    getAuthData,
};
